Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class PlanNode

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.plan.PlanObject
                  ix.icore.plan.AbstractPlanItem
                      ix.icore.plan.PlanNode

All Implemented Interfaces:
  Annotated, IXObject, java.io.Serializable

    public class PlanNode

extends AbstractPlanItem

Wraps an `Activity` when it appears in a plan.

See Also:
  Serialized Form

Field Summary
`protected Activity` | `activity`

Fields inherited from class ix.icore.plan.AbstractPlanItem
`expansion, id`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`PlanNode()`
`PlanNode(Name id, Activity activity)`

Method Summary
`Activity` | `getActivity()`
`TaskItem` | `getItem()`
`void` | `setActivity(Activity activity)`
`void` | `setItem(TaskItem item)`
`java.lang.String` | `toString()`

Methods inherited from class ix.icore.plan.AbstractPlanItem
`getExpansion, getId, setExpansion, setId`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### activity

    protected Activity activity

Constructor Detail

### PlanNode

    public PlanNode()

### PlanNode

    public PlanNode(Name id,
                    Activity activity)

Method Detail

### getActivity

    public Activity getActivity()

### getItem

    public TaskItem getItem()

  Specified by:
    `getItem` in class `AbstractPlanItem`

### setActivity

    public void setActivity(Activity activity)

### setItem

    public void setItem(TaskItem item)

  Specified by:
    `setItem` in class `AbstractPlanItem`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD